## ktp-desktop-applets 0.6.1

=== CMakeLists.txt ===
project(ktp-desktop-applets)

set(CMAKE_MODULE_PATH
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules"
    ${CMAKE_MODULE_PATH}
)
cmake_policy(SET CMP0002 OLD)

set(IS_KTP_INTERNAL_MODULE TRUE)
set(KDE_MIN_VERSION "4.7.0")
set(KTP_DESKTOP_APPLETS_VERSION "0.6.1")

find_package(KDE4 ${KDE_MIN_VERSION} REQUIRED)
find_package(TelepathyQt4 0.8.90 REQUIRED)
find_package(KTp REQUIRED)

include(KDE4Defaults)

add_definitions(${QT_DEFINITIONS}
                ${KDE4_DEFINITIONS}
)

include_directories(${CMAKE_SOURCE_DIR}
		    ${CMAKE_BINARY_DIR}
		    ${KDE4_INCLUDES}
		    ${TELEPATHY_QT4_INCLUDE_DIR}
		    ${KTP_INCLUDE_DIR}
)

add_subdirectory(chat)
add_subdirectory(contact)
add_subdirectory(contactlist)
add_subdirectory(presence)

install(FILES 50-renameKTpApplets.js DESTINATION ${DATA_INSTALL_DIR}/plasma-desktop/updates)
find_package(Msgfmt REQUIRED)
find_package(Gettext REQUIRED)
add_subdirectory( po )

=== debian/changelog ===
ktp-desktop-applets (0.6.1-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 17 Apr 2013 12:33:43 +0100

ktp-desktop-applets (0.6.0-0ubuntu2) raring; urgency=low

  * Add upstream_l10n.patch
    Upstream's tarball is missing a rather large amount of translations. This
    patch adds all existing translations at the time of tagging. 

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 16 Apr 2013 12:20:26 +0200

ktp-desktop-applets (0.6.0-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 03 Apr 2013 11:17:31 +0100

ktp-desktop-applets (0.5.80-0ubuntu2) raring; urgency=low

  * kde-telepathy-dekstop-applets also Breaks/Replaces plasma-widget-telepathy-contact

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 15 Mar 2013 23:35:20 +0530

ktp-desktop-applets (0.5.80-0ubuntu1) raring; urgency=low

  [ Prasad Murthy ]
  * Initial release

  [ Scott Kitterman ]
  * Fix debian/copyright
  * Add gettext to depends

 -- Prasad Murthy <phoenix_firebrd@yahoo.com>  Fri, 01 Feb 2013 17:09:14 +0530

=== debian/control ===
Source: ktp-desktop-applets
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: debhelper (>= 9), kdelibs5-dev (>= 4:4.7),
 cmake (>= 2.8), libtelepathy-qt4-dev (>= 0.8.90), libktpcommoninternalsprivate-dev (>= 0.6.0),
 pkg-kde-tools, gettext
Standards-Version: 3.9.4
Homepage: http://www.kde.org

Package: kde-telepathy-desktop-applets
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: plasma-widget-telepathy-presence (<= 0.5.3-0ubuntu1),  plasma-widget-telepathy-contact (<= 0.5.3-0ubuntu1)
Replaces: plasma-widget-telepathy-presence (<= 0.5.3-0ubuntu1), plasma-widget-telepathy-contact (<= 0.5.3-0ubuntu1)
Recommends: kde-telepathy
Description: KDE Telepathy desktop widgets
 This package provides a set of plasma widgets that allows you to
 display and set your presence status for your instant messaging accounts.

## ktp-desktop-applets 0.6.3

=== debian/changelog ===
ktp-desktop-applets (0.6.3-0ubuntu1) saucy; urgency=low

  * New upstream release (LP: #1208837)
  * Bump on libktpcommoninternalsprivate-dev

 -- Howard Chan <smartboyhw@gmail.com>  Tue, 06 Aug 2013 21:50:23 +0800

ktp-desktop-applets (0.6.2-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Added debian/watch file
  * Bump on libktpcommoninternalsprivate-dev

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 21 Jun 2013 15:06:44 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: debhelper (>= 9), kdelibs5-dev (>= 4:4.7),
- cmake (>= 2.8), libtelepathy-qt4-dev (>= 0.8.90), libktpcommoninternalsprivate-dev (>= 0.6.0),
+ cmake (>= 2.8), libtelepathy-qt4-dev (>= 0.8.90), libktpcommoninternalsprivate-dev (>= 0.6.3),
  pkg-kde-tools, gettext
 Standards-Version: 3.9.4
 Homepage: http://www.kde.org

## ktp-desktop-applets 0.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 set(IS_KTP_INTERNAL_MODULE TRUE)
 set(KDE_MIN_VERSION "4.7.0")
-set(KTP_DESKTOP_APPLETS_VERSION "0.6.1")
+set(KTP_DESKTOP_APPLETS_VERSION "0.8.0")
 
 find_package(KDE4 ${KDE_MIN_VERSION} REQUIRED)
 find_package(TelepathyQt4 0.8.90 REQUIRED)

=== po/CMakeLists.txt ===
add_subdirectory( bs )
add_subdirectory( ca )
add_subdirectory( ca@valencia )
add_subdirectory( cs )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( el )
add_subdirectory( es )
add_subdirectory( et )
add_subdirectory( fi )
add_subdirectory( fr )
add_subdirectory( ga )
add_subdirectory( gl )
add_subdirectory( hu )
add_subdirectory( ia )
add_subdirectory( it )
add_subdirectory( ja )
add_subdirectory( kk )
add_subdirectory( km )
add_subdirectory( ko )
add_subdirectory( lt )
add_subdirectory( mr )
add_subdirectory( nb )
add_subdirectory( nds )
add_subdirectory( nl )
add_subdirectory( pl )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( ro )
add_subdirectory( ru )
add_subdirectory( sk )
add_subdirectory( sl )
add_subdirectory( sr )
add_subdirectory( sr@ijekavian )
add_subdirectory( sr@ijekavianlatin )
add_subdirectory( sr@latin )
add_subdirectory( sv )
add_subdirectory( tr )
add_subdirectory( uk )
add_subdirectory( vi )
add_subdirectory( wa )
add_subdirectory( zh_CN )
add_subdirectory( zh_TW )

=== debian/changelog ===
ktp-desktop-applets (0.8.0-0ubuntu1) trusty; urgency=medium

  * New upstream release (LP: #1297351)

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 01 Apr 2014 15:15:58 +0200

ktp-desktop-applets (0.7.80-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 18 Feb 2014 00:14:28 +0100

ktp-desktop-applets (0.7.1-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 29 Jan 2014 19:46:28 +0100

ktp-desktop-applets (0.7.0-0ubuntu3) trusty; urgency=low

  * For the oddest of all reasons source:Version is substituted with
    what ought to be the binary version (i.e. not 0.7.0).
    Use source:Upstream-Version instead.

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 02 Jan 2014 10:35:15 +0100

ktp-desktop-applets (0.7.0-0ubuntu2) trusty; urgency=low

  * Add dependency on kde-telepathy-declarative (>= #{source:Version}) which
    contains the shared declarative plugin.
    According to upstream the versions should always align, so >=source gives
    the best quality here.
    LP: #1234084

 -- Harald Sitter <apachelogger@kubuntu.org>  Wed, 04 Dec 2013 13:38:14 +0100

ktp-desktop-applets (0.7.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 29 Oct 2013 12:46:54 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: debhelper (>= 9), kdelibs5-dev (>= 4:4.7),
- cmake (>= 2.8), libtelepathy-qt4-dev (>= 0.8.90), libktpcommoninternalsprivate-dev (>= 0.6.3),
+ cmake (>= 2.8), libtelepathy-qt4-dev (>= 0.8.90), libktpcommoninternalsprivate-dev (>= 0.8.0),
  pkg-kde-tools, gettext
 Standards-Version: 3.9.4
 Homepage: http://www.kde.org
 
 Package: kde-telepathy-desktop-applets
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, kde-telepathy-declarative (>= ${source:Upstream-Version})
 Breaks: plasma-widget-telepathy-presence (<= 0.5.3-0ubuntu1),  plasma-widget-telepathy-contact (<= 0.5.3-0ubuntu1)
 Replaces: plasma-widget-telepathy-presence (<= 0.5.3-0ubuntu1), plasma-widget-telepathy-contact (<= 0.5.3-0ubuntu1)
 Recommends: kde-telepathy

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with kde

## ktp-desktop-applets 0.8.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 set(IS_KTP_INTERNAL_MODULE TRUE)
 set(KDE_MIN_VERSION "4.7.0")
-set(KTP_DESKTOP_APPLETS_VERSION "0.8.0")
+set(KTP_DESKTOP_APPLETS_VERSION "0.8.1")
 
 find_package(KDE4 ${KDE_MIN_VERSION} REQUIRED)
 find_package(TelepathyQt4 0.8.90 REQUIRED)

=== contact/CMakeLists.txt ===
include_directories(
        ${CMAKE_CURRENT_SOURCE_DIR}
        ${CMAKE_CURRENT_BINARY_DIR}
        ${KDE4_INCLUDES}
        ${TELEPATHY_QT4_INCLUDE_DIR}
)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/plasma-applet-ktp-contact.desktop.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/plasma-applet-ktp-contact.desktop
               @ONLY)

set(plasma_applet_ktp_contact_SRCS
    src/contact-wrapper.cpp
    src/telepathy-contact.cpp
)

kde4_add_plugin(plasma_applet_ktp_contact ${plasma_applet_ktp_contact_SRCS})
target_link_libraries(plasma_applet_ktp_contact
                        ${KDE4_PLASMA_LIBS}
                        ${KDE4_KDEUI_LIBS}
                        ${KDE4_KIO_LIBS}
                        ${TELEPATHY_QT4_LIBRARIES}
                        ${KTP_LIBRARIES}
                        ${KTP_MODELS_LIBRARIES}
                        ${KTP_WIDGETS_LIBRARIES}
                        ${QT_QTDECLARATIVE_LIBRARY})

install(DIRECTORY src/declarative/ DESTINATION ${DATA_INSTALL_DIR}/plasma/plasmoids/org.kde.ktp-contact)
install(TARGETS plasma_applet_ktp_contact DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/plasma-applet-ktp-contact.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== contactlist/CMakeLists.txt ===
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/org.kde.ktp-contactlist/metadata.desktop.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/org.kde.ktp-contactlist/metadata.desktop
               @ONLY)

install(DIRECTORY org.kde.ktp-contactlist DESTINATION ${DATA_INSTALL_DIR}/plasma/plasmoids/ PATTERN metadata.desktop.cmake EXCLUDE)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.ktp-contactlist/metadata.desktop DESTINATION ${DATA_INSTALL_DIR}/plasma/plasmoids/org.kde.ktp-contactlist)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.ktp-contactlist/metadata.desktop DESTINATION ${SERVICES_INSTALL_DIR} RENAME plasma-applet-ktp-contactlist.desktop)

=== po/zh_CN/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES( zh_CN ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== debian/changelog ===
ktp-desktop-applets (0.8.1-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version to 3.9.5. No changes needed.
  * Bump build-depends libktpcommoninternalsprivate-dev to 0.8.1
  * Bump depends kde-telepathy-declarative to 0.8.1
  * Update debian/changelog. Was missing copyrights for translations.

 -- Diane Trout <diane@ghic.org>  Fri, 16 May 2014 21:03:32 -0700

ktp-desktop-applets (0.7.0-1) unstable; urgency=low

  * New upstream release.
  * Fix typo in description (Thanks Pablo D. Pareja Obregón for
    the report)
  * Bump build-depends libktpcommoninternalsprivate-dev to 0.7.0
  * Bump depends kde-telepathy-declarative to 0.7.0

 -- Diane Trout <diane@ghic.org>  Wed, 27 Nov 2013 18:12:52 -0800

ktp-desktop-applets (0.6.3-2) unstable; urgency=low

  * Team upload.

  [ Diane Trout ]
  * Remove unneeded Build-Depends libktpchat and kde-telepathy-declarative

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 04 Sep 2013 22:20:15 -0300

ktp-desktop-applets (0.6.3-1) unstable; urgency=low

  [ George Kiagiadakis ]
  * Initial release.

  [ Diane Trout ]
  * New upstream release.
  * Remove no_kdeworkspace patch
  * Rename package to ktp-desktop-applets
  * Rename binary packages to kde-telepathy-desktop-applets to be
    more consistent with the other packages.
  * Set Uploaders to Diane Trout and Michał Zając
  * Imported Kubuntu's more complete copyright file.
  * Update Standards-Version to 3.9.4. No changes needed.
  * Add dependency on kde-telepathy-declarative for QML components.

  [ Mark Purcell ] 
  * Imported Upstream version 0.6.3
  * Add myself to Uploaders
  * Update Build-Depends: libktpcommoninternalsprivate-dev (>= 0.6.3)

 -- Mark Purcell <msp@debian.org>  Sun, 11 Aug 2013 10:41:33 +1000

=== debian/control ===
Source: ktp-desktop-applets
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Diane Trout <diane@ghic.org>, Michał Zając <quintasan@kubuntu.org>, Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>= 9),
 pkg-kde-tools (>= 0.9),
 libtelepathy-qt4-dev (>= 0.9.1),
 kdelibs5-dev (>= 4:4.6),
 cmake (>= 2.8),
 libktpcommoninternalsprivate-dev (>= 0.8.1),
Standards-Version: 3.9.5
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-desktop-applets
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-desktop-applets.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-desktop-applets.git

Package: kde-telepathy-desktop-applets
Architecture: any
Replaces: plasma-widget-telepathy-presence (<= 0.6.1-1), 
 plasma-widget-telepathy-chat (<= 0.6.1-1),
 ktp-telepathy-contact-list (<= 0.6.1-1)
Depends: kde-telepathy-declarative (>= 0.8.1), ${shlibs:Depends}, ${misc:Depends}
Description: KDE Telepathy contact plasmoid
 This package provides widgets that allow you to have any
 of your IM contacts easily accessible as an icon on your desktop.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

Package: kde-telepathy-desktop-applets-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kde-telepathy-desktop-applets (= ${binary:Version}), ${misc:Depends}
Description: KDE Telepathy contact plasmoid - debug symbols
 This package provides the debug symbols for the KDE Telepathy contact, 
 chat, and presence plasmoids.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with kde --dbg-package=kde-telepathy-desktop-applets-dbg --list-missing

=== debian/watch ===
version=3

ftp://ftp.kde.org/pub/kde/stable/kde-telepathy/([\d.]+)/src/ktp-desktop-applets-([\d.]+).tar.bz2

## ktp-desktop-applets 15.08.2

=== debian/changelog ===
ktp-desktop-applets (4:15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:51:14 +0100

ktp-desktop-applets (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:32:02 +0100

ktp-desktop-applets (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:42:19 +0100

ktp-desktop-applets (4:15.07.90-0ubuntu1) wily; urgency=medium

  [ Harald Sitter ]
  * KDE Frameworks 5 port

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 11:18:43 +0100

ktp-desktop-applets (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 10 Jun 2015 18:58:32 +0200

ktp-desktop-applets (0.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Merge with Debian unstable, no changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 28 Oct 2014 13:14:02 +0100

ktp-desktop-applets (0.8.80-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Update copyright file.
  * Update build-depends for libktpcommoninternalsprivate-dev to 0.8.80
  * Update depends for kde-telepathy-declarative to source:Upstream-Version

 -- Diane Trout <diane@ghic.org>  Sat, 20 Sep 2014 20:41:41 -0700

ktp-desktop-applets (0.8.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 28 Apr 2014 17:14:26 +0200

=== debian/control ===
Source: ktp-desktop-applets
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               libkf5package-dev,
               libkf5windowsystem-dev,
               pkg-kde-tools (>> 0.15.15),
               plasma-framework-dev,
               qtdeclarative5-dev
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-desktop-applets
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/ktp-desktop-applets.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/ktp-desktop-applets.git

Package: kde-telepathy-desktop-applets
Architecture: any
Depends: plasma-framework,
         qml-module-org-kde-people,
         qml-module-org-kde-telepathy,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kde-telepathy-legacy-presence-applet
Replaces: kde-telepathy-legacy-presence-applet
Description: KDE Telepathy contact plasmoid
 This package provides widgets that allow you to have any
 of your IM contacts easily accessible as an icon on your desktop.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

Package: kde-telepathy-desktop-applets-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kde-telepathy-desktop-applets (= ${binary:Version}), ${misc:Depends}
Description: KDE Telepathy contact plasmoid - debug symbols
 This package provides the debug symbols for the KDE Telepathy contact,
 chat, and presence plasmoids.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=kde-telepathy-desktop-applets-dbg

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/ktp-desktop-applets-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/ktp-desktop-applets-([\d.]+).tar.xz

## ktp-desktop-applets 15.08.3

=== CMakeLists.txt ===
project(ktp-desktop-applets)

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)

# KDE Application Version, managed by release script
set (KDE_APPLICATIONS_VERSION_MAJOR "15")
set (KDE_APPLICATIONS_VERSION_MINOR "08")
set (KDE_APPLICATIONS_VERSION_MICRO "3")

set(KTP_DESKTOP_APPLETS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

find_package(ECM 0.0.11 REQUIRED NO_MODULE)
set (CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

find_package(Qt5 REQUIRED COMPONENTS Qml)
find_package(KF5 REQUIRED COMPONENTS Plasma WindowSystem)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)

add_subdirectory(chat)
add_subdirectory(contactlist)
add_subdirectory(person)

=== debian/changelog ===
ktp-desktop-applets (15.08.3-1) unstable; urgency=medium

  * New upstream release.

 -- Diane Trout <diane@ghic.org>  Wed, 02 Dec 2015 21:55:30 -0800

ktp-desktop-applets (15.08.2-1) unstable; urgency=medium

  * Apply homepage update patch from Matthew Cope
  * Update watch file for KTp's move to Applications.
  * New upstream release. (Closes: #791894)
  * Update build dependencies for move to Qt5 and rename of
    libktpcommoninternalsprivate-dev to libktp-dev
  * Use dhmk from pkg-kde-tools to build ktp.
    - Change maintainer to debian-qt-kde
    - Update debian/rules
  * Add KDE's unstable download url to watch file
  * kde-telepathy-declarative was renamed to qml-module-org-kde-
    telepathy

 -- Diane Trout <diane@ghic.org>  Sat, 07 Nov 2015 10:54:13 -0800

ktp-desktop-applets (0.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright file.
  * Update build-depends for libktpcommoninternalsprivate-dev to 0.9.0
  * Update depends for kde-telepathy-declarative to source:Upstream-Version
  * Update Standards-Version to 3.9.6. No changes needed.
  * Update debian/watch file to use http://download.kde.org

 -- Diane Trout <diane@ghic.org>  Sat, 25 Apr 2015 19:58:23 -0700

=== debian/control ===
Source: ktp-desktop-applets
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>, Michał Zając <quintasan@kubuntu.org>, Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>= 9),
 pkg-kde-tools (>= 0.9),
 libtelepathy-qt5-dev (>= 0.9.1),
 cmake (>= 2.8),
 libktp-dev (>= 15.04),
 extra-cmake-modules (>= 0.0.11),
 qtdeclarative5-dev,
 plasma-framework-dev,
 libkf5windowsystem-dev,
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-desktop-applets
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-desktop-applets.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-desktop-applets.git

Package: kde-telepathy-desktop-applets
Architecture: any
Replaces: plasma-widget-telepathy-presence (<= 0.6.1-1), 
 plasma-widget-telepathy-chat (<= 0.6.1-1),
 ktp-telepathy-contact-list (<= 0.6.1-1)
Depends: qml-module-org-kde-telepathy (>= ${source:Upstream-Version}), ${shlibs:Depends}, ${misc:Depends}
Description: KDE Telepathy contact plasmoid
 This package provides widgets that allow you to have any
 of your IM contacts easily accessible as an icon on your desktop.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

Package: kde-telepathy-desktop-applets-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kde-telepathy-desktop-applets (= ${binary:Version}), ${misc:Depends}
Description: KDE Telepathy contact plasmoid - debug symbols
 This package provides the debug symbols for the KDE Telepathy contact, 
 chat, and presence plasmoids.

=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,6 @@
 
 override_dh_strip:
 	$(overridden_command) --dbg-package=kde-telepathy-desktop-applets-dbg
+
+override_dh_install:
+	$(overridden_command) --fail-missing

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/ktp-desktop-applets-([\d.]+).tar.(?:bz2|xz)
http://download.kde.org/unstable/applications/([\d.]+)/src/ktp-desktop-applets-([\d.]+).tar.(?:bz2|xz)

## ktp-desktop-applets 15.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 # KDE Application Version, managed by release script
 set (KDE_APPLICATIONS_VERSION_MAJOR "15")
-set (KDE_APPLICATIONS_VERSION_MINOR "08")
+set (KDE_APPLICATIONS_VERSION_MINOR "12")
 set (KDE_APPLICATIONS_VERSION_MICRO "3")
 
 set(KTP_DESKTOP_APPLETS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

=== contactlist/CMakeLists.txt ===
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/org.kde.ktp-contactlist/metadata.desktop.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/org.kde.ktp-contactlist/metadata.desktop
               @ONLY)

install(DIRECTORY org.kde.ktp-contactlist DESTINATION ${DATA_INSTALL_DIR}/plasma/plasmoids PATTERN metadata.desktop.cmake EXCLUDE)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.ktp-contactlist/metadata.desktop DESTINATION ${DATA_INSTALL_DIR}/plasma/plasmoids/org.kde.ktp-contactlist)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.ktp-contactlist/metadata.desktop DESTINATION ${SERVICES_INSTALL_DIR} RENAME plasma-applet-org.kde.ktp-contactlist.desktop)

=== chat/qmlplugin/CMakeLists.txt ===
add_library (ktpchatplugin SHARED hide-window-component.cpp qmlplugin.cpp)

target_link_libraries (ktpchatplugin
    Qt5::Qml
    
    KF5::WindowSystem
)

install (TARGETS ktpchatplugin DESTINATION ${QML_INSTALL_DIR}/org/kde/ktpchat)
install (FILES qmldir DESTINATION ${QML_INSTALL_DIR}/org/kde/ktpchat)

=== debian/changelog ===
ktp-desktop-applets (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * Bump ktp* dependency versions. 
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 16:10:53 -0700

ktp-desktop-applets (4:15.12.1-1ubuntu1) xenial; urgency=medium

  * Merged with Debian
    - Added epoch for Kubuntu
  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 11:21:07 +0100

ktp-desktop-applets (15.12.1-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Update watch file.
  * Bump Standards-Version to 3.9.6.
  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:23:52 +0100

=== debian/control ===
Source: ktp-desktop-applets
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 0.0.11~),
               libkf5windowsystem-dev,
               libktp-dev (>= 4:15.12.2),
               libtelepathy-qt5-dev (>= 0.9.1),
               pkg-kde-tools (>= 0.9),
               plasma-framework-dev,
               qtdeclarative5-dev (>= 5.4)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-desktop-applets
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-desktop-applets.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-desktop-applets.git

Package: kde-telepathy-desktop-applets
Architecture: any
Replaces: ktp-telepathy-contact-list (>= 4:15.12.2),
          plasma-widget-telepathy-chat (<= 0.6.1-1),
          plasma-widget-telepathy-presence (<= 0.6.1-1)
Depends: qml-module-org-kde-telepathy (>= ${source:Upstream-Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE Telepathy contact plasmoid
 This package provides widgets that allow you to have any
 of your IM contacts easily accessible as an icon on your desktop.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_strip:
	$(overridden_command) --ddeb-migration='kde-telepathy-desktop-applets-dbg (<= 15.12.1-1~~)'

override_dh_install:
	$(overridden_command) --fail-missing

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/ktp-desktop-applets-([\d.]+)\.tar\.xz

## ktp-desktop-applets 16.04.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,8 +3,8 @@
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set (KDE_APPLICATIONS_VERSION_MAJOR "15")
-set (KDE_APPLICATIONS_VERSION_MINOR "12")
+set (KDE_APPLICATIONS_VERSION_MAJOR "16")
+set (KDE_APPLICATIONS_VERSION_MINOR "04")
 set (KDE_APPLICATIONS_VERSION_MICRO "3")
 
 set(KTP_DESKTOP_APPLETS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
@@ -17,7 +17,7 @@
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDECompilerSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 
 add_subdirectory(chat)
 add_subdirectory(contactlist)

=== debian/changelog ===
ktp-desktop-applets (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Debian merge: no remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:39:00 +0200

ktp-desktop-applets (15.12.2-1~) UNRELEASED; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (15.12.2).

  [ Scarlett Clark ]
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Sun, 01 May 2016 20:34:15 -0700

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,17 @@
            Mark Purcell <msp@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 0.0.11~),
-               libkf5windowsystem-dev,
-               libktp-dev (>= 4:15.12.2),
+               extra-cmake-modules (>= 5.24.0~),
+               libkf5windowsystem-dev (>= 5.24.0~),
+               libktp-dev (>= 4:16.04.3~),
                libtelepathy-qt5-dev (>= 0.9.1),
                pkg-kde-tools (>= 0.9),
-               plasma-framework-dev,
-               qtdeclarative5-dev (>= 5.4)
+               plasma-framework-dev (>= 5.24.0~),
+               qtdeclarative5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-desktop-applets
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/kde-telepathy/ktp-desktop-applets.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/kde-telepathy/ktp-desktop-applets.git
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-desktop-applets
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-desktop-applets
 
 Package: kde-telepathy-desktop-applets
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kde-telepathy-desktop-applets-dbg (<= 15.12.1-1~~)'

override_dh_install:
	$(overridden_command) --fail-missing

## ktp-desktop-applets 16.12.3

=== debian/changelog ===
ktp-desktop-applets (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:31:01 +0000

ktp-desktop-applets (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:20:01 +0000

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
            Mark Purcell <msp@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.24.0~),
-               libkf5windowsystem-dev (>= 5.24.0~),
-               libktp-dev (>= 4:16.04.3~),
+               extra-cmake-modules (>= 5.31.0~),
+               libkf5plasma-dev (>= 5.31.0~),
+               libkf5windowsystem-dev (>= 5.31.0~),
+               libktp-dev (>= 4:16.12.3~),
                libtelepathy-qt5-dev (>= 0.9.1),
                pkg-kde-tools (>= 0.9),
-               plasma-framework-dev (>= 5.24.0~),
                qtdeclarative5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-desktop-applets
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-desktop-applets
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-desktop-applets
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-desktop-applets
 
 Package: kde-telepathy-desktop-applets

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kde-telepathy-desktop-applets-dbg (<= 15.12.1-1~~)'

## ktp-desktop-applets 17.04.3

=== debian/changelog ===
ktp-desktop-applets (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:35:37 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                extra-cmake-modules (>= 5.31.0~),
                libkf5plasma-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),
-               libktp-dev (>= 4:16.12.3~),
+               libktp-dev (>= 4:17.04.3~),
                libtelepathy-qt5-dev (>= 0.9.1),
                pkg-kde-tools (>= 0.9),
                qtdeclarative5-dev (>= 5.6.1~)
@@ -21,9 +21,11 @@
 
 Package: kde-telepathy-desktop-applets
 Architecture: any
+Breaks: ${kde-l10n:all}
 Replaces: ktp-telepathy-contact-list (>= 4:15.12.2),
           plasma-widget-telepathy-chat (<= 0.6.1-1),
-          plasma-widget-telepathy-presence (<= 0.6.1-1)
+          plasma-widget-telepathy-presence (<= 0.6.1-1),
+          ${kde-l10n:all}
 Depends: qml-module-org-kde-telepathy (>= ${source:Upstream-Version}),
          ${misc:Depends},
          ${shlibs:Depends}

## ktp-desktop-applets 17.08.3

=== CMakeLists.txt ===
project(ktp-desktop-applets)

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)

# KDE Application Version, managed by release script
set (KDE_APPLICATIONS_VERSION_MAJOR "17")
set (KDE_APPLICATIONS_VERSION_MINOR "08")
set (KDE_APPLICATIONS_VERSION_MICRO "3")

set(KTP_DESKTOP_APPLETS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

find_package(ECM 0.0.11 REQUIRED NO_MODULE)
set (CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

find_package(Qt5 REQUIRED COMPONENTS Qml DBus)
find_package(KF5 REQUIRED COMPONENTS Plasma WindowSystem)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

add_subdirectory(chat)
add_subdirectory(contactlist)
add_subdirectory(person)
find_package(KF5 REQUIRED COMPONENTS I18n)
ki18n_install(po)

=== contactlist/CMakeLists.txt ===
--- 
+++ 
@@ -5,3 +5,5 @@
 install(DIRECTORY org.kde.ktp-contactlist DESTINATION ${DATA_INSTALL_DIR}/plasma/plasmoids PATTERN metadata.desktop.cmake EXCLUDE)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.ktp-contactlist/metadata.desktop DESTINATION ${DATA_INSTALL_DIR}/plasma/plasmoids/org.kde.ktp-contactlist)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.ktp-contactlist/metadata.desktop DESTINATION ${SERVICES_INSTALL_DIR} RENAME plasma-applet-org.kde.ktp-contactlist.desktop)
+
+add_subdirectory(qmlplugin)

=== debian/changelog ===
ktp-desktop-applets (17.08.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add missing Breaks, thanks to Andreas Beckmann. (Closes: #910241)

 -- Adrian Bunk <bunk@debian.org>  Fri, 26 Oct 2018 16:09:38 +0300

ktp-desktop-applets (17.08.3-2) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * Add missing qml dependency qml-module-org-kde-people (Closes: 849976)

  [ Pino Toscano ]
  * Bump Standards-Version to 4.1.3, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 20 Jan 2018 12:08:05 +0100

ktp-desktop-applets (17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Simplify watch file, and switch it to https.
  * Remove unused plasma-framework-dev build dependency.
  * Bump telepathy-related build dependencies:
    - libktp-dev to >= 17.08.3
    - libtelepathy-qt5-dev to >= 0.9.7
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Dec 2017 08:54:24 +0100

ktp-desktop-applets (17.08.1-1) experimental; urgency=medium

  * New upstream release (17.08.1).
  * Drop soon to be deprecated fail-missing
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Add breaks/replaces against the kde-l10n packages
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 11 Sep 2017 19:59:10 +0200

ktp-desktop-applets (16.04.2-1) experimental; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 24 Jun 2016 09:39:03 +0200

ktp-desktop-applets (16.04.1-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (15.12.2).

  [ Automatic packaging ]
  * upstream branch
  * Bump Standards-Version to 3.9.8
  * Refresh patches
  * Add a .gitattributes file to use dpkg-mergechangelogs

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 02:07:58 +0200

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-7~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kde-telepathy-desktop-applets-dbg (<= 15.12.1-1~~)'

## ktp-desktop-applets 17.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 # KDE Application Version, managed by release script
 set (KDE_APPLICATIONS_VERSION_MAJOR "17")
-set (KDE_APPLICATIONS_VERSION_MINOR "08")
+set (KDE_APPLICATIONS_VERSION_MINOR "12")
 set (KDE_APPLICATIONS_VERSION_MICRO "3")
 
 set(KTP_DESKTOP_APPLETS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

=== person/CMakeLists.txt ===
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/org.kde.person/metadata.desktop.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/org.kde.person/metadata.desktop
               @ONLY)

install(DIRECTORY org.kde.person DESTINATION ${PLASMA_DATA_INSTALL_DIR}/plasmoids PATTERN metadata.desktop.cmake EXCLUDE)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.person/metadata.desktop DESTINATION ${PLASMA_DATA_INSTALL_DIR}/plasmoids/org.kde.person/)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.person/metadata.desktop DESTINATION ${SERVICES_INSTALL_DIR} RENAME plasma-applet-org.kde.person.desktop)

=== contactlist/qmlplugin/CMakeLists.txt ===
add_library (ktpcontactlistplugin SHARED register-contact-applet.cpp qmlplugin.cpp)

target_link_libraries (ktpcontactlistplugin
    Qt5::Qml

    Qt5::DBus
)

install (TARGETS ktpcontactlistplugin DESTINATION ${QML_INSTALL_DIR}/org/kde/ktpcontactlist)
install (FILES qmldir DESTINATION ${QML_INSTALL_DIR}/org/kde/ktpcontactlist)

=== debian/changelog ===
ktp-desktop-applets (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:31:33 +0000

ktp-desktop-applets (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * Update qml module dependencies
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 17:01:20 +0000

ktp-desktop-applets (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:10:59 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                extra-cmake-modules (>= 5.31.0~),
                libkf5plasma-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),
-               libktp-dev (>= 4:17.04.3~),
+               libktp-dev (>= 4:17.12.3~),
                libtelepathy-qt5-dev (>= 0.9.1),
                pkg-kde-tools (>= 0.9),
                qtdeclarative5-dev (>= 5.6.1~)
@@ -27,8 +27,9 @@
           plasma-widget-telepathy-presence (<= 0.6.1-1),
           ${kde-l10n:all}
 Depends: qml-module-org-kde-telepathy (>= ${source:Upstream-Version}),
+         qml-module-org-kde-people,
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: KDE Telepathy contact plasmoid
  This package provides widgets that allow you to have any
  of your IM contacts easily accessible as an icon on your desktop.

## ktp-desktop-applets 18.04.3

=== debian/changelog ===
ktp-desktop-applets (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:21:39 +0100

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
                extra-cmake-modules (>= 5.31.0~),
                libkf5plasma-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),
-               libktp-dev (>= 4:17.12.3~),
+               libktp-dev (>= 4:18.04.3~),
                libtelepathy-qt5-dev (>= 0.9.1),
                pkg-kde-tools (>= 0.9),
-               qtdeclarative5-dev (>= 5.6.1~)
+               qtdeclarative5-dev (>= 5.6.1~),
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-desktop-applets
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-desktop-applets

## ktp-desktop-applets 18.12.3

=== debian/changelog ===
ktp-desktop-applets (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:33:15 +0000

ktp-desktop-applets (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:20:18 +0000

ktp-desktop-applets (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:14:08 +0000

ktp-desktop-applets (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:52:22 +0000

ktp-desktop-applets (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Bumped build deps.
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 04 Jan 2019 13:33:35 +0000

=== debian/control ===
Source: ktp-desktop-applets
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5i18n-dev,
               libkf5plasma-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libktp-dev (>= 4:18.12.3~),
               libtelepathy-qt5-dev (>= 0.9.1),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev,
               qtdeclarative5-dev (>= 5.4),
Standards-Version: 4.1.3
Homepage: https://projects.kde.org/projects/kde/kdenetwork/ktp-desktop-applets
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-desktop-applets
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-desktop-applets

Package: kde-telepathy-desktop-applets
Architecture: any
Depends: qml-module-org-kde-telepathy (>= ${source:Upstream-Version}),
         qml-module-org-kde-people,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: ${kde-l10n:all}
Replaces: ktp-telepathy-contact-list (>= 4:15.12.2),
          plasma-widget-telepathy-chat (<= 0.6.1-1),
          plasma-widget-telepathy-presence (<= 0.6.1-1),
          ${kde-l10n:all}
Description: KDE Telepathy contact plasmoid
 This package provides widgets that allow you to have any
 of your IM contacts easily accessible as an icon on your desktop.
 .
 This package is not meant to be used standalone. It is recommended
 to install the kde-telepathy metapackage instead.

## ktp-desktop-applets 19.04.3

=== debian/changelog ===
ktp-desktop-applets (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:18:54 +0100

ktp-desktop-applets (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:12:50 +0100

ktp-desktop-applets (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 21:02:30 +0100

ktp-desktop-applets (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:48:10 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libkf5i18n-dev,
                libkf5plasma-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),
-               libktp-dev (>= 4:18.12.3~),
+               libktp-dev (>= 4:19.04.3~),
                libtelepathy-qt5-dev (>= 0.9.1),
                pkg-kde-tools (>= 0.9),
                qtbase5-dev,

## ktp-desktop-applets 19.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set (KDE_APPLICATIONS_VERSION_MAJOR "17")
+set (KDE_APPLICATIONS_VERSION_MAJOR "19")
 set (KDE_APPLICATIONS_VERSION_MINOR "12")
 set (KDE_APPLICATIONS_VERSION_MICRO "3")

=== chat/CMakeLists.txt ===
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/org.kde.ktp-chat/metadata.desktop.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/org.kde.ktp-chat/metadata.desktop
               @ONLY)

install(DIRECTORY org.kde.ktp-chat DESTINATION ${PLASMA_DATA_INSTALL_DIR}/plasmoids PATTERN metadata.desktop.cmake EXCLUDE)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.ktp-chat/metadata.desktop DESTINATION ${PLASMA_DATA_INSTALL_DIR}/plasmoids/org.kde.ktp-chat/)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.ktp-chat/metadata.desktop DESTINATION ${SERVICES_INSTALL_DIR} RENAME plasma-applet-org.kde.ktp-chat.desktop)

add_subdirectory(qmlplugin)

=== debian/changelog ===
ktp-desktop-applets (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:15:16 +0000

ktp-desktop-applets (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:24:41 +0000

ktp-desktop-applets (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:58:57 +0000

ktp-desktop-applets (4:19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:52:39 +0000

ktp-desktop-applets (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.0)
  * New upstream release (19.08.1)
  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:37:18 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libkf5i18n-dev,
                libkf5plasma-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),
-               libktp-dev (>= 4:19.04.3~),
+               libktp-dev (>= 4:19.12.3~),
                libtelepathy-qt5-dev (>= 0.9.1),
                pkg-kde-tools (>= 0.9),
                qtbase5-dev,

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-l10npkgs_firstversion_ok := 4:16.04.3-7~
+l10npkgs_firstversion_ok := 4:17.03.90-0~
 
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
 include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
